<?php
require_once __DIR__ . '/db.php';
require_once __DIR__ . '/functions.php';

if(!empty($_POST)){
    create_message();
    header("Location: index.php");
    exit;
}

ini_set('session.cookie_httponly', 1);
session_start();

$messages = get_messages();
?>
<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta/css/bootstrap.min.css" integrity="sha384-/Y6pD6FV/Vv2HJnA6t+vslU6fwYXjCFtcEpHbNJ0lyAFsXTsjBbfaDjzALeQsN6M" crossorigin="anonymous">
    <style>
        .message{
            border: 1px solid #ccc;
            margin-bottom: 20px;
            padding: 15px;
        }
    </style>
</head>
<body>

<div class="container">
    <div class="row">
        <div class="col-md-6">
            <form method="post">
                <div class="form-group">
                    <label for="name">Name</label>
                    <input type="text" name="name" class="form-control" id="name" placeholder="Имя" value="<?= !empty($_COOKIE['name']) ? $_COOKIE['name'] : '' ;?>">
                </div>
                <div class="form-group">
                    <label for="text">Сообщение</label>
                    <textarea class="form-control" id="text" rows="3" name="text"></textarea>
                </div>
                <button type="submit" class="btn btn-primary">Submit</button>
            </form>
        </div>
    </div>
    <hr>
    <div class="row">
        <div class="col-md-6">
            <?php if(!empty($messages)): ?>
                <?php foreach($messages as $message): ?>
                    <div class="message">
                        <h5 class="name"><?= $message['name']?></h5>
                        <div class="text"><?= $message['text']?></div>
                    </div>
                <?php endforeach; ?>
            <?php endif; ?>
        </div>
    </div>
</div>

</body>
</html>